Training Environment System Requirements

Training environment access for most instructor-led online events will be provided to attendees during class.

Most of our training environments are accessible through any of the following supported browsers:

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Internet Explorer 10
  • Internet Explorer 11

The browser must accept cookies and have javascript enabled in order to display properly.

The following product training environments have additional requirements. If you are attending training for one of the following products, please ensure the computer you are planning to use meets the following requirements:

Raiser's Edge and Financial Edge

For students attending Raiser's Edge and Financial Edge classes, please download and install Citrix Workspace at least one day before the scheduled start time.

YOU MUST SELECT THE BLACKBAUD UNIVERSITY SAMPLE DATABASE TO COMPLETE THIS TRAINING. IF YOU SELECT YOUR PRODUCTION DATABASE TO COMPLETE THIS TRAINING, YOU MAY MAKE IRREVERSIBLE CHANGES TO YOUR DATABASE.

YOU ACKNOWLEDGE THAT YOU ARE RESPONSIBLE FOR SELECTING THE BLACKBAUD UNIVERSITY SAMPLE DATABASE FOR THIS TRAINING AND THAT BLACKBAUD IS NOT RESPONSIBLE FOR ANY CHANGES YOU MAKE TO YOUR PRODUCTION DATABSE IF YOU FAIL TO SELECT THE BLACKBAUD UNIVERSITY SAMPLE DATABASE FOR THIS TRAINING.  

Blackbaud Grantmaking™

In order to access Blackbaud Grantmaking you will need:

If you are using a Mac, please contact Training Help for assistance at traininghelp@blackbaud.com

FIMS

For students attending FIMS training, please download and install Citrix at least one day before your class' scheduled start time.

Training and Support